<!DOCTYPE html>
<html>
  <head>
    <title>Title</title>
    <meta charset="utf-8">
    <style>
      @import url(https://fonts.googleapis.com/css?family=Yanone+Kaffeesatz);
      @import url(https://fonts.googleapis.com/css?family=Droid+Serif:400,700,400italic);
      @import url(https://fonts.googleapis.com/css?family=Ubuntu+Mono:400,700,400italic);

      body { font-family: 'Droid Serif'; }
      h1, h2, h3 {
        font-family: 'Yanone Kaffeesatz';
        font-weight: normal;
      }
      img {
            max-width:100%;
      }
      .remark-code, .remark-inline-code { font-family: 'Ubuntu Mono'; }
      .remark-slide-content {background-size: contain}
    </style>
  </head>
  <body>
    <textarea id="source">

# Kubernetes Gitlab Integration

![Gitlab+Kubernetes](files/images/kubernetes/gitlab+kubernetes.png)

- Review Apps (Merge requests, branches)
- Deploy to production

---

# Gitlab CI Review App

- See [Autodevops .gitlab-ci.yml](https://gitlab.com/gitlab-org/gitlab-ci-yml/blob/master/Auto-DevOps.gitlab-ci.yml)

---

# Build job

- `docker login`
- `docker build`
- `docker push`

---

# Review job

- Local `chart/` dir or download default chart ?
- Ensure namespace for project
- Installs `tiller`
- Create secret for pulling the docker image
- Create secret for tokens (Github, Gitlab, Travis)
- Deploy the app with `helm`

---

# Stop review job

- Deletes deployment
- Automatically triggered after merging a merge requests

    </textarea>
    <script src="https://remarkjs.com/downloads/remark-latest.min.js">
    </script>
    <script>
      var slideshow = remark.create();
    </script>
  </body>
</html>
